import { SeriesDescription } from "./SeriesDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class FinancialSeriesDescription extends SeriesDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private b0;
    get negativeBrush(): string;
    set negativeBrush(a: string);
    private b6;
    get xAxisRef(): string;
    set xAxisRef(a: string);
    private b7;
    get yAxisRef(): string;
    set yAxisRef(a: string);
    private b1;
    get openMemberPath(): string;
    set openMemberPath(a: string);
    private by;
    get highMemberPath(): string;
    set highMemberPath(a: string);
    private bz;
    get lowMemberPath(): string;
    set lowMemberPath(a: string);
    private bx;
    get closeMemberPath(): string;
    set closeMemberPath(a: string);
    private b5;
    get volumeMemberPath(): string;
    set volumeMemberPath(a: string);
    private bs;
    get isCustomCategoryStyleAllowed(): boolean;
    set isCustomCategoryStyleAllowed(a: boolean);
    private b2;
    get transitionInMode(): string;
    set transitionInMode(a: string);
    private bt;
    get isTransitionInEnabled(): boolean;
    set isTransitionInEnabled(a: boolean);
    private bw;
    get assigningCategoryStyleRef(): string;
    set assigningCategoryStyleRef(a: string);
    private b3;
    get typicalRef(): string;
    set typicalRef(a: string);
    private b4;
    get typicalBasedOnRef(): string;
    set typicalBasedOnRef(a: string);
}
